package com.bcxin.risk.report.enums;

public enum StepStatus {

	PASS{public String getValue(){return "10";} public String getCname(){return "通过";} public String getEname(){return "PASS";}},
	UNPASS{public String getValue(){return "20";} public String getCname(){return "不通过";} public String getEname(){return "UNPASS";}},
	COMPLETE{public String getValue(){return "30";} public String getCname(){return "完成";} public String getEname(){return "COMPLETE";}},
	UNCOMPLETE{public String getValue(){return "30";} public String getCname(){return "未完成";} public String getEname(){return "UNCOMPLETE";}};
	
	public abstract String getValue();
    
    public abstract String getCname();
    
    public abstract String getEname();
    
    public static StepStatus convertValue(String value){
    	if ( "10".equals(value) ) {
    		return StepStatus.PASS;
    	} else if ( "20".equals(value) ) {
    		return StepStatus.UNPASS;
    	}else if ( "30".equals(value) ) {
    		return StepStatus.COMPLETE;
    	}else if ( "40".equals(value) ) {
    		return StepStatus.UNCOMPLETE;
    	}
    	return null;
    }
}
